Skip to main content
GET
/
destinations
/
{destination_id}
Get destination
curl --request GET \
  --url https://api.prequel.co/destinations/{destination_id} \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "destination": {
      "abs": {
        "folder": "<string>",
        "container_name": "<string>",
        "auth_method": "<string>",
        "storage_account_name": "<string>",
        "disable_manifest": true,
        "csv": {
          "delimiter": "<string>"
        }
      },
      "id": "<string>",
      "vendor": "<string>",
      "name": "<string>",
      "recipient_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "last_successful_transfer_ended_at": "2023-11-07T05:31:56Z",
      "frequency_minutes": 123,
      "id_in_provider_system": "<string>",
      "products": [
        "<string>"
      ],
      "enabled_models": [
        "<string>"
      ],
      "max_concurrent_transfers": 123,
      "max_concurrent_queries_per_transfer": 123,
      "is_enabled": true,
      "last_completed_transfer": {
        "id": "<string>",
        "status": "<string>",
        "is_full_refresh": true,
        "models": [
          "<string>"
        ],
        "log": "<string>",
        "submitted_at": "2023-11-07T05:31:56Z",
        "start_transfer_window_at": "2023-11-07T05:31:56Z",
        "end_transfer_window_at": "2023-11-07T05:31:56Z",
        "rows_transferred": 123,
        "delta_rows_transferred": 123,
        "volume_transferred_in_mb": 123,
        "is_debug_mode": true,
        "actor_id": "<string>",
        "actor_type": "<string>",
        "source_ids": [
          "<string>"
        ],
        "destination_id": "<string>",
        "model_metrics": [
          {
            "model_id": "<string>",
            "rows_transferred": 123,
            "delta_rows_transferred": 123,
            "volume_transferred_in_mb": 123,
            "start_transfer_window_at": "2023-11-07T05:31:56Z",
            "end_transfer_window_at": "2023-11-07T05:31:56Z",
            "most_recent_last_updated_at": "2023-11-07T05:31:56Z",
            "error": {
              "error": "<unknown>",
              "error_code": "<string>",
              "title": "<string>",
              "blame": "<string>",
              "documentation_url": "<string>",
              "trace": "<string>",
              "message": "<string>"
            },
            "model_name": "<string>"
          }
        ],
        "models_snapshot": [
          {
            "model_id": "<string>",
            "model_name": "<string>",
            "revision_id": "<string>"
          }
        ],
        "started_at": "2023-11-07T05:31:56Z",
        "ended_at": "2023-11-07T05:31:56Z",
        "tags": {}
      },
      "total_rows_transferred_last_billing_period": 123,
      "total_delta_rows_transferred_last_billing_period": 123,
      "total_rows_transferred_current_billing_period": 123
    }
  },
  "message": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

destination_id
string
required

Destination ID.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required